// -------------------------------------------------------------------------------------------------
// xsImagen.hpp
// -------------------------------------------------------------------------------------------------

// Se inclluye la librería
#include "xsEasyCpp.hpp"

#ifndef __xsImagen_hpp__
#define __xsImagen_hpp__

Clase xsImagen : Publica xsObjeto
{
	Publica:

	    xsImagen();


	    Vacio crear(xsCadena archivo);

		Vacio crear(xsCadena       nombre,
		            xsIconoTamanio tamanio);

	    xsImagen(xsCadena archivo);

	    xsImagen(xsCadena       nombre,
		         xsIconoTamanio tamanio);

		xsPixelesBuffer* obtenerBufferPixeles();	

		Vacio cargarImagenDesdeBufferPixeles(xsPixelesBuffer* buffer);
};

// Fin de la Definición del Archivo
#endif
